Bug 462530 - Review Request: jarbundler - Mac OS X JarBundler ANT Task
Review Request: jarbundler - Mac OS X JarBundler ANT Task
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2008-09-16 17:46 EDT by John Guthrie
Modified: 2009-10-06 23:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-06 23:08:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Guthrie 2008-09-16 17:46:32 EDT
Spec URL: http://www.guthrie.info/RPMS/f9/jarbundler.spec
SRPM URL: http://www.guthrie.info/RPMS/f9/jarbundler-2.0.0-2.fc9.src.rpm
Description: How many times has this happened to you? You've written a little
Java utility, or maybe even a more complex application, and you
want to create Mac OS X application bundle for easy distribution.

You'd like to be able to do it automatically from your build
process, but you're forced to go run the Apple Jar Bundler and
tweak all the settings manually every time you build.

Well no more! JarBundler is a feature-rich Ant task which will
create a Mac OS X application bundle from a list of Jar files and
a main class name. You can add an Icon resource, set various Mac
OS X native look-and-feel bells and whistles, and maintain your
application bundles as part of your normal build and release
cycle. It is free software licensed under the Apache License.

This release is based on the earlier work of Seth Morabito.
Comment 1 John Guthrie 2008-09-16 17:47:53 EDT
Just a note:  despite the summary, this package is a dependency for the freemind-0.9.0 beta.
Comment 2 Jerry James 2009-08-18 15:57:48 EDT
The output of rpmlint reveals a few things that should be addressed.  Don't worry about the nonstandard groups, or the gcj-mandated use of %{_libdir}, but everything else should be fixed.

jarbundler.x86_64: W: name-repeated-in-summary JarBundler
jarbundler.x86_64: W: non-standard-group Development/Java
jarbundler.x86_64: W: file-not-utf8 /usr/share/doc/jarbundler-2.0.0/example/build.xml
jarbundler-javadoc.x86_64: W: non-standard-group Development/Documentation
jarbundler.spec:9: W: non-standard-group Development/Java
jarbundler.spec:47: W: non-standard-group Development/Documentation
jarbundler.spec:103: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}
jarbundler.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 12)
3 packages and 1 specfiles checked; 0 errors, 8 warnings.

MUST items:
X : rpmlint output: see above
OK: package name
OK: spec file name
OK: packaging guidelines
OK: licensing guidelines
OK: license field matches license
OK: license file in %doc
OK: spec file in American English
OK: spec file is legible
X : source matches upstream.  It appears that upstream has gone on to version 2.1.0, and uses unversioned tar balls.
OK: successful build on at least one primary architecture
NA: use of ExcludeArch
OK: all build dependencies in BuildRequires
NA: proper locale handling
NA: ldconfig in %post and %postun
NA: relocatable package
OK: own all created directories
OK: no duplication in %files
OK: good permissions on files and dirs
OK: %clean section
OK: consistent use of macros
OK: code or permissible content
NA: large documentation files in -doc subpackage
OK: nothing in %doc needed at runtime
NA: header files in -devel
NA: static libraries in -static
NA: Requires pkgconfig
NA: .so files in -devel
NA: -devel subpackage requires main package
NA: no libtool archives
NA: GUI applications have a desktop file
OK: don't own files/dirs owned by other packages
OK: clean at top of %install
OK: all filenames are valid UTF-8

SHOULD items:
NA: ask upstream to include a license file
NA: include translated description and summary fields
OK: package builds in mock (tried Fedora 11 x86_64 only)
??: package builds on all supported arches (did not check)
OK: package functions as described
OK: sane scriptlets
OK: subpackages require the main package
NA: placement of pkgconfig files
NA: file dependencies

In addition, please consider making the javadoc subpackage be noarch.  So all that needs to be done for this to pass review is to cleanup the rpmlint warnings and get a good match with an upstream tarball (probably by upgrading your spec file to 2.1.0).
Comment 3 Jerry James 2009-09-21 10:58:06 EDT
John, if you still want to submit this package to Fedora, please respond within the next week.
Comment 4 Jerry James 2009-10-06 23:08:20 EDT
Due to no response from the submitter, I am closing this bug.

Note You need to log in before you can comment on or make changes to this bug.